Last Comment Bug 766896 - Have InvalidateAllContinuations use GetNextContinuationOrSpecialSibling
: Have InvalidateAllContinuations use GetNextContinuationOrSpecialSibling
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: SVG (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla16
Assigned To: Jonathan Watt [:jwatt]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 02:37 PDT by Jonathan Watt [:jwatt]
Modified: 2012-06-23 05:48 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (814 bytes, patch)
2012-06-21 02:38 PDT, Jonathan Watt [:jwatt]
roc: review+
Details | Diff | Review

Description Jonathan Watt [:jwatt] 2012-06-21 02:37:41 PDT
It seems like InvalidateAllContinuations should be using GetNextContinuationOrSpecialSibling or else we're not going to invalidate the special siblings, which are also subject to SVG effects.
Comment 1 Jonathan Watt [:jwatt] 2012-06-21 02:38:06 PDT
Created attachment 635227 [details] [diff] [review]
patch
Comment 2 Jonathan Watt [:jwatt] 2012-06-22 03:46:09 PDT
Pushed https://hg.mozilla.org/integration/mozilla-inbound/rev/e1efdaa680ba
Comment 3 Ryan VanderMeulen [:RyanVM] 2012-06-23 05:48:24 PDT
https://hg.mozilla.org/mozilla-central/rev/e1efdaa680ba

Note You need to log in before you can comment on or make changes to this bug.